import { formats } from "@kubernetes-models/validate";
export const validate = validate34;
export default validate34;
const schema14 = { type: "string", enum: ["gateway.networking.k8s.io/v1alpha2"] };
function validate35(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("gateway.networking.k8s.io/v1alpha2" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema14.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate35.errors = vErrors, 0 === errors; }
const schema15 = { type: "string", enum: ["UDPRoute"] };
function validate37(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("UDPRoute" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema15.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate37.errors = vErrors, 0 === errors; }
import validate41 from "@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
function validate40(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return validate41(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate41.errors : vErrors.concat(validate41.errors), errors = vErrors.length), validate40.errors = vErrors, 0 === errors; }
function validate44(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate44.errors = vErrors, 0 === errors; }
function validate39(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate40(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate40.errors : vErrors.concat(validate40.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate44(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate39.errors = vErrors, 0 === errors; }
import func2 from "@kubernetes-models/validate/runtime/ucs2length";
const pattern1 = new RegExp("^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate25(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if (func2(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern1.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate25.errors = vErrors, 0 === errors; }
const pattern2 = new RegExp("^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$", "u");
function validate27(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if (func2(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (func2(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern2.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$" }, message: 'must match pattern "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate27.errors = vErrors, 0 === errors; }
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (func2(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (func2(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate21.errors = vErrors, 0 === errors; }
const pattern0 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?$", "u");
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if (func2(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (func2(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern0.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate22.errors = vErrors, 0 === errors; }
const formats0 = formats.int32;
function validate23(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data > 65535 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/maximum", keyword: "maximum", params: { comparison: "<=", limit: 65535 }, message: "must be <= 65535" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data < 1 || isNaN(data)) {
        const err2 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 1 }, message: "must be >= 1" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!formats0.validate(data)) {
        const err3 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int32" }, message: 'must match format "int32"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate23.errors = vErrors, 0 === errors; }
const pattern3 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate32(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if (func2(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (func2(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern3.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate32.errors = vErrors, 0 === errors; }
function validate24(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.name) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.group && (validate25(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length)), void 0 !== data.kind && (validate27(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate22(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.port && (validate23(data.port, { instancePath: instancePath + "/port", parentData: data, parentDataProperty: "port", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.sectionName && (validate32(data.sectionName, { instancePath: instancePath + "/sectionName", parentData: data, parentDataProperty: "sectionName", rootData }) || (vErrors = null === vErrors ? validate32.errors : vErrors.concat(validate32.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate24.errors = vErrors, 0 === errors; }
function validate48(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 32) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 32 }, message: "must NOT have more than 32 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate24(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length);
} return validate48.errors = vErrors, 0 === errors; }
function validate55(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if (func2(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern1.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate55.errors = vErrors, 0 === errors; }
function validate57(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if (func2(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (func2(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern2.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$" }, message: 'must match pattern "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate57.errors = vErrors, 0 === errors; }
function validate62(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data > 1e6 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/maximum", keyword: "maximum", params: { comparison: "<=", limit: 1e6 }, message: "must be <= 1000000" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data < 0 || isNaN(data)) {
        const err2 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 0 }, message: "must be >= 0" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!formats0.validate(data)) {
        const err3 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int32" }, message: 'must match format "int32"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate62.errors = vErrors, 0 === errors; }
function validate54(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.name) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.group && (validate55(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate55.errors : vErrors.concat(validate55.errors), errors = vErrors.length)), void 0 !== data.kind && (validate57(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate57.errors : vErrors.concat(validate57.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate22(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.port && (validate23(data.port, { instancePath: instancePath + "/port", parentData: data, parentDataProperty: "port", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.weight && (validate62(data.weight, { instancePath: instancePath + "/weight", parentData: data, parentDataProperty: "weight", rootData }) || (vErrors = null === vErrors ? validate62.errors : vErrors.concat(validate62.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate54.errors = vErrors, 0 === errors; }
function validate53(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 16) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 16 }, message: "must NOT have more than 16 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data.length < 1) {
        const err2 = { instancePath, schemaPath: "#/minItems", keyword: "minItems", params: { limit: 1 }, message: "must NOT have fewer than 1 items" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate54(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate54.errors : vErrors.concat(validate54.errors), errors = vErrors.length);
} return validate53.errors = vErrors, 0 === errors; }
function validate52(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.backendRefs && (validate53(data.backendRefs, { instancePath: instancePath + "/backendRefs", parentData: data, parentDataProperty: "backendRefs", rootData }) || (vErrors = null === vErrors ? validate53.errors : vErrors.concat(validate53.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate52.errors = vErrors, 0 === errors; }
function validate51(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (Array.isArray(data)) {
    if (data.length > 16) {
        const err0 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 16 }, message: "must NOT have more than 16 items" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (data.length < 1) {
        const err1 = { instancePath, schemaPath: "#/minItems", keyword: "minItems", params: { limit: 1 }, message: "must NOT have fewer than 1 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate52(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate52.errors : vErrors.concat(validate52.errors), errors = vErrors.length);
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate51.errors = vErrors, 0 === errors; }
function validate47(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.rules) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "rules" }, message: "must have required property 'rules'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.parentRefs && (validate48(data.parentRefs, { instancePath: instancePath + "/parentRefs", parentData: data, parentDataProperty: "parentRefs", rootData }) || (vErrors = null === vErrors ? validate48.errors : vErrors.concat(validate48.errors), errors = vErrors.length)), void 0 !== data.rules && (validate51(data.rules, { instancePath: instancePath + "/rules", parentData: data, parentDataProperty: "rules", rootData }) || (vErrors = null === vErrors ? validate51.errors : vErrors.concat(validate51.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate47.errors = vErrors, 0 === errors; }
const formats4 = formats["date-time"];
function validate74(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (!formats4.validate(data)) {
        const err0 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "date-time" }, message: 'must match format "date-time"' };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate74.errors = vErrors, 0 === errors; }
function validate76(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (func2(data) > 32768) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 32768 }, message: "must NOT have more than 32768 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate76.errors = vErrors, 0 === errors; }
const formats6 = formats.int64;
function validate78(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data < 0 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 0 }, message: "must be >= 0" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!formats6.validate(data)) {
        const err2 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int64" }, message: 'must match format "int64"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate78.errors = vErrors, 0 === errors; }
const pattern6 = new RegExp("^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$", "u");
function validate80(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (func2(data) > 1024) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 1024 }, message: "must NOT have more than 1024 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (func2(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern6.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$" }, message: 'must match pattern "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate80.errors = vErrors, 0 === errors; }
const schema38 = { enum: ["True", "False", "Unknown"], type: "string" };
function validate82(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("True" !== data && "False" !== data && "Unknown" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema38.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate82.errors = vErrors, 0 === errors; }
const pattern7 = new RegExp("^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$", "u");
function validate84(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (func2(data) > 316) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 316 }, message: "must NOT have more than 316 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (!pattern7.test(data)) {
        const err1 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$" }, message: 'must match pattern "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$"' };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate84.errors = vErrors, 0 === errors; }
function validate73(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.lastTransitionTime) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "lastTransitionTime" }, message: "must have required property 'lastTransitionTime'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.message) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "message" }, message: "must have required property 'message'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.reason) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "reason" }, message: "must have required property 'reason'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (void 0 === data.status) {
        const err3 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "status" }, message: "must have required property 'status'" };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
    if (void 0 === data.type) {
        const err4 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "type" }, message: "must have required property 'type'" };
        null === vErrors ? vErrors = [err4] : vErrors.push(err4), errors++;
    }
    void 0 !== data.lastTransitionTime && (validate74(data.lastTransitionTime, { instancePath: instancePath + "/lastTransitionTime", parentData: data, parentDataProperty: "lastTransitionTime", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.message && (validate76(data.message, { instancePath: instancePath + "/message", parentData: data, parentDataProperty: "message", rootData }) || (vErrors = null === vErrors ? validate76.errors : vErrors.concat(validate76.errors), errors = vErrors.length)), void 0 !== data.observedGeneration && (validate78(data.observedGeneration, { instancePath: instancePath + "/observedGeneration", parentData: data, parentDataProperty: "observedGeneration", rootData }) || (vErrors = null === vErrors ? validate78.errors : vErrors.concat(validate78.errors), errors = vErrors.length)), void 0 !== data.reason && (validate80(data.reason, { instancePath: instancePath + "/reason", parentData: data, parentDataProperty: "reason", rootData }) || (vErrors = null === vErrors ? validate80.errors : vErrors.concat(validate80.errors), errors = vErrors.length)), void 0 !== data.status && (validate82(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate82.errors : vErrors.concat(validate82.errors), errors = vErrors.length)), void 0 !== data.type && (validate84(data.type, { instancePath: instancePath + "/type", parentData: data, parentDataProperty: "type", rootData }) || (vErrors = null === vErrors ? validate84.errors : vErrors.concat(validate84.errors), errors = vErrors.length));
}
else {
    const err5 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err5] : vErrors.push(err5), errors++;
} return validate73.errors = vErrors, 0 === errors; }
function validate72(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 8) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data.length < 1) {
        const err2 = { instancePath, schemaPath: "#/minItems", keyword: "minItems", params: { limit: 1 }, message: "must NOT have fewer than 1 items" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate73(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate73.errors : vErrors.concat(validate73.errors), errors = vErrors.length);
} return validate72.errors = vErrors, 0 === errors; }
const pattern8 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&'()*+,;=:]+$", "u");
function validate88(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (func2(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (func2(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern8.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&'()*+,;=:]+$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&\'()*+,;=:]+$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate88.errors = vErrors, 0 === errors; }
function validate71(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.controllerName) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "controllerName" }, message: "must have required property 'controllerName'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.parentRef) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "parentRef" }, message: "must have required property 'parentRef'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.conditions && (validate72(data.conditions, { instancePath: instancePath + "/conditions", parentData: data, parentDataProperty: "conditions", rootData }) || (vErrors = null === vErrors ? validate72.errors : vErrors.concat(validate72.errors), errors = vErrors.length)), void 0 !== data.controllerName && (validate88(data.controllerName, { instancePath: instancePath + "/controllerName", parentData: data, parentDataProperty: "controllerName", rootData }) || (vErrors = null === vErrors ? validate88.errors : vErrors.concat(validate88.errors), errors = vErrors.length)), void 0 !== data.parentRef && (validate24(data.parentRef, { instancePath: instancePath + "/parentRef", parentData: data, parentDataProperty: "parentRef", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate71.errors = vErrors, 0 === errors; }
function validate70(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (Array.isArray(data)) {
    if (data.length > 32) {
        const err0 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 32 }, message: "must NOT have more than 32 items" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate71(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate71.errors : vErrors.concat(validate71.errors), errors = vErrors.length);
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate70.errors = vErrors, 0 === errors; }
function validate69(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.parents) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "parents" }, message: "must have required property 'parents'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.parents && (validate70(data.parents, { instancePath: instancePath + "/parents", parentData: data, parentDataProperty: "parents", rootData }) || (vErrors = null === vErrors ? validate70.errors : vErrors.concat(validate70.errors), errors = vErrors.length));
} return validate69.errors = vErrors, 0 === errors; }
function validate34(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.kind) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.apiVersion && (validate35(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate35.errors : vErrors.concat(validate35.errors), errors = vErrors.length)), void 0 !== data.kind && (validate37(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate39(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length)), void 0 !== data.spec && (validate47(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate47.errors : vErrors.concat(validate47.errors), errors = vErrors.length)), void 0 !== data.status && (validate69(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate69.errors : vErrors.concat(validate69.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate34.errors = vErrors, 0 === errors; }
